#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys,time,liblo,mpr121

# Use mpr121 class for everything else
from smbus import SMBus

BUS_NUMBER = 1
IP='127.0.0.1'
PORT=9001
carte = [0x5a,0x5b,0x5c,0x5d]
osc_path = ['/touche/c/','/touche/b/','/touche/c/','/touche/d/']

try:
	mpr121.TOU_THRESH = 0x30
	mpr121.REL_THRESH = 0x33
	mpr121.setup(carte[0])
	mpr121.setup(carte[1])
	mpr121.setup(carte[2])
	mpr121.setup(carte[3])
	target = liblo.Address('127.0.0.1',9001)
except liblo.AddressError, err:
	print str(err)
	sys.exit()

while True:
	for nocart in range(3):
		s = ''
		touchData = mpr121.readData(carte[nocart])
		if touchData & (1 << 12):
			s += 'S'
		if (touchData & 0xFFF) == 0:
			s += 'N'
		else:
			for i in range(12):
    	        		if touchData & (1 << i):
  	              			s += str(i)
	
		#	print(s)
			liblo.send(target, osc_path[nocart], s)

	time.sleep(.2) # to less consumption of CPU

